From 34ab4982294e5ba0dc12dec898c56b36c28b3a18 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 17 Jul 2023 11:46:22 +0200
Subject: [PATCH v1 4/4] Fix up whitespace on books page

This ensures that the books are indented equally.
---
 templates/pages/docs/books.html | 317 +++++++++++++++++---------------
 1 file changed, 167 insertions(+), 150 deletions(-)

diff --git a/templates/pages/docs/books.html b/templates/pages/docs/books.html
index c019282a..c0a5d5db 100644
--- a/templates/pages/docs/books.html
+++ b/templates/pages/docs/books.html
@@ -14,8 +14,8 @@
       <tr>
         <td>
           <a href="https://postgrespro.com/community/books/introbook">
-          <img src="/media/img/docs/books/postgres_first_experience_v9.png"
-               alt="POSTGRES: The First Experience" /></a>
+            <img src="/media/img/docs/books/postgres_first_experience_v9.png"
+                 alt="POSTGRES: The First Experience" /></a>
         </td>
         <td>
           <strong>Title</strong>: POSTGRES: The First Experience<br />
@@ -26,11 +26,12 @@
           <strong>Published</strong>: April 2023
         </td>
       </tr>
+
       <tr>
         <td>
           <a href="https://postgrespro.com/community/books/internals">
-          <img src="/media/img/docs/books/postgres_internals_14.png"
-               alt="PostgreSQL 14 Internals" /></a>
+            <img src="/media/img/docs/books/postgres_internals_14.png"
+                 alt="PostgreSQL 14 Internals" /></a>
         </td>
         <td>
           <strong>Title</strong>: PostgreSQL 14 Internals<br />
@@ -41,11 +42,12 @@
           <strong>Published</strong>: March 2023
         </td>
       </tr>
+
       <tr>
         <td>
-            <a href="https://www.d-booker.fr/postgresql/187-architecture-et-notions-avancees.html">
-              <img src="/media/img/docs/books/architecture-et-notions-avancees-4ed.png"
-                   alt="PostgreSQL - Architecture et notions avanc&eacute;es" /></a>
+          <a href="https://www.d-booker.fr/postgresql/187-architecture-et-notions-avancees.html">
+            <img src="/media/img/docs/books/architecture-et-notions-avancees-4ed.png"
+                 alt="PostgreSQL - Architecture et notions avanc&eacute;es" /></a>
         </td>
         <td>
            <strong>Title</strong>: PostgreSQL - Architecture et notions avanc&eacute;es<br />
@@ -56,41 +58,44 @@
            <strong>Published</strong>: April 2022
         </td>
       </tr>
+
       <tr>
-          <td>
-            <a href="https://www.packtpub.com/product/postgresql-14-administration-cookbook/9781803248974">
-              <img src="/media/img/docs/books/packt_postgresql14_admin_cookbook.jpg"
-                   alt="PostgreSQL 14 Administration Cookbook" /></a>
-          </td>
-          <td>
-            <strong>Title</strong>: PostgreSQL 14 Administration Cookbook<br />
-            <strong>Author</strong>: Simon Riggs, Gianni Ciolli<br />
-            <strong>Language</strong>: English<br />
-            <strong>Current version at publication</strong>: 14<br />
-            <strong>Format</strong>: Paperback, eBook<br />
-            <strong>Published</strong>: March 2022
-          </td>
+        <td>
+          <a href="https://www.packtpub.com/product/postgresql-14-administration-cookbook/9781803248974">
+            <img src="/media/img/docs/books/packt_postgresql14_admin_cookbook.jpg"
+                 alt="PostgreSQL 14 Administration Cookbook" /></a>
+        </td>
+        <td>
+          <strong>Title</strong>: PostgreSQL 14 Administration Cookbook<br />
+          <strong>Author</strong>: Simon Riggs, Gianni Ciolli<br />
+          <strong>Language</strong>: English<br />
+          <strong>Current version at publication</strong>: 14<br />
+          <strong>Format</strong>: Paperback, eBook<br />
+          <strong>Published</strong>: March 2022
+        </td>
       </tr>
+
       <tr>
-          <td>
-            <a href="https://www.packtpub.com/product/mastering-postgresql-13-fourth-edition/9781800567498">
-              <img src="/media/img/docs/books/packt_mastering_postgresql_13_4th.jpg"
-                   alt="Mastering PostgreSQL 13 - Fourth Edition" /></a>
-          </td>
-          <td>
-            <strong>Title</strong>: Mastering PostgreSQL 13 - Fourth Edition<br />
-            <strong>Author</strong>: Hans-J&uuml;rgen Sch&ouml;nig<br />
-            <strong>Language</strong>: English<br />
-            <strong>Current version at publication</strong>: 13<br />
-            <strong>Format</strong>: Paperback, eBook<br />
-            <strong>Published</strong>: November 2020
-          </td>
+        <td>
+          <a href="https://www.packtpub.com/product/mastering-postgresql-13-fourth-edition/9781800567498">
+            <img src="/media/img/docs/books/packt_mastering_postgresql_13_4th.jpg"
+                 alt="Mastering PostgreSQL 13 - Fourth Edition" /></a>
+        </td>
+        <td>
+          <strong>Title</strong>: Mastering PostgreSQL 13 - Fourth Edition<br />
+          <strong>Author</strong>: Hans-J&uuml;rgen Sch&ouml;nig<br />
+          <strong>Language</strong>: English<br />
+          <strong>Current version at publication</strong>: 13<br />
+          <strong>Format</strong>: Paperback, eBook<br />
+          <strong>Published</strong>: November 2020
+        </td>
       </tr>
+
       <tr>
         <td>
-            <a href="https://www.packtpub.com/product/learn-postgresql-12/9781838985288">
-              <img src="/media/img/docs/books/learn-postgresql.png"
-                   alt="Learn PostgreSQL" /></a>
+          <a href="https://www.packtpub.com/product/learn-postgresql-12/9781838985288">
+            <img src="/media/img/docs/books/learn-postgresql.png"
+                 alt="Learn PostgreSQL" /></a>
         </td>
         <td>
           <strong>Title</strong>: Learn PostgreSQL<br/>
@@ -101,73 +106,76 @@
           <strong>Published</strong>: October 2020
         </td>
       </tr>
+
       <tr>
-          <td>
-            <a href="https://www.amazon.com/dp/B088JZZHSR/ref=sr_1_1?dchild=1&keywords=yudisney&qid=1589400405&sr=8-1"><img
-                        src="/media/img/docs/books/fundamentos-postgresql.png"
-                        alt="Fundamentos para el trabajo con PostgreSQL" /></a>
+        <td>
+          <a href="https://www.amazon.com/dp/B088JZZHSR/ref=sr_1_1?dchild=1&keywords=yudisney&qid=1589400405&sr=8-1">
+            <img src="/media/img/docs/books/fundamentos-postgresql.png"
+                 alt="Fundamentos para el trabajo con PostgreSQL" /></a>
         </td>
         <td>
-           <strong>Title</strong>: Fundamentos para el trabajo con PostgreSQL<br />
-           <strong>Author</strong>: Yudisney Vazquez Ort&iacute;z, Anthony R. Sotolongo Le&oacute;n<br />
-           <strong>Language</strong>: Spanish <br />
-           <strong>Current version at publication</strong>: 12<br />
-           <strong>Format</strong>: Paperback, eBook<br />
-           <strong>Published</strong>: May 2020
+          <strong>Title</strong>: Fundamentos para el trabajo con PostgreSQL<br />
+          <strong>Author</strong>: Yudisney Vazquez Ort&iacute;z, Anthony R. Sotolongo Le&oacute;n<br />
+          <strong>Language</strong>: Spanish <br />
+          <strong>Current version at publication</strong>: 12<br />
+          <strong>Format</strong>: Paperback, eBook<br />
+          <strong>Published</strong>: May 2020
         </td>
       </tr>
+
       <tr>
-          <td>
-            <a href="https://www.amazon.com/dp/1796506044"><img
-                        src="/media/img/docs/books/postgresql-for-dba-12.jpg"
-                        alt="PostgreSQL for DBA: PostgreSQL 12" /></a>
+        <td>
+          <a href="https://www.amazon.com/dp/1796506044">
+          <img src="/media/img/docs/books/postgresql-for-dba-12.jpg"
+               alt="PostgreSQL for DBA: PostgreSQL 12" /></a>
         </td>
         <td>
-           <strong>Title</strong>: PostgreSQL for DBA: PostgreSQL 12<br />
-           <strong>Author</strong>: Federico Campoli<br />
-           <strong>Language</strong>: English<br />
-           <strong>Current version at publication</strong>: 12<br />
-           <strong>Format</strong>: Paperback, eBook<br />
-           <strong>Published</strong>: February 2020
+          <strong>Title</strong>: PostgreSQL for DBA: PostgreSQL 12<br />
+          <strong>Author</strong>: Federico Campoli<br />
+          <strong>Language</strong>: English<br />
+          <strong>Current version at publication</strong>: 12<br />
+          <strong>Format</strong>: Paperback, eBook<br />
+          <strong>Published</strong>: February 2020
         </td>
       </tr>
+
       <tr>
-          <td>
-            <a href="https://theartofpostgresql.com"><img
-                        src="/media/img/docs/books/art_of_postgresql.png"
-                        alt="The Art of PostgreSQL" /></a>
+        <td>
+          <a href="https://theartofpostgresql.com">
+            <img src="/media/img/docs/books/art_of_postgresql.png"
+                 alt="The Art of PostgreSQL" /></a>
         </td>
         <td>
-           <strong>Title</strong>: The Art of PostgreSQL<br />
-           <strong>Author</strong>: Dimitri Fontaine<br />
-           <strong>Language</strong>: English<br />
-           <strong>Current version at publication</strong>: 11<br />
-           <strong>Format</strong>: Paperback, eBook<br />
-           <strong>Published</strong>: August 2019
+          <strong>Title</strong>: The Art of PostgreSQL<br />
+          <strong>Author</strong>: Dimitri Fontaine<br />
+          <strong>Language</strong>: English<br />
+          <strong>Current version at publication</strong>: 11<br />
+          <strong>Format</strong>: Paperback, eBook<br />
+          <strong>Published</strong>: August 2019
         </td>
-    </tr>
-    <tr>
+      </tr>
+
+      <tr>
         <td>
-            <a href="https://www.lulu.com/shop/yudisney-vazquez-ortiz-and-anthony-r-sotolongo-león/plpgsql-y-otros-lenguajes-procedurales-en-postgresql/ebook/product-1665k4d9.html">
-            <img
-               src="/media/img/docs/books/plpgsql_y_otros_lenguajes.jpg"
-               alt="PL/pgSQL y otros lenguajes procedurales en PostgreSQL" /></a>
+          <a href="https://www.lulu.com/shop/yudisney-vazquez-ortiz-and-anthony-r-sotolongo-león/plpgsql-y-otros-lenguajes-procedurales-en-postgresql/ebook/product-1665k4d9.html">
+            <img src="/media/img/docs/books/plpgsql_y_otros_lenguajes.jpg"
+                 alt="PL/pgSQL y otros lenguajes procedurales en PostgreSQL" /></a>
         </td>
         <td>
-                 <strong>Title</strong>: PL/pgSQL y otros lenguajes procedurales en PostgreSQL<br />
-                 <strong>Author</strong>: Anthony R. Sotolongo León, Yudisney Vazquez Ortiz<br />
-                 <strong>Language</strong>: Spanish<br />
-                 <strong>Current version at publication</strong>: 9.6<br />
-                 <strong>Format</strong>: eBook<br />
-                 <strong>Published</strong>: June 2019
+          <strong>Title</strong>: PL/pgSQL y otros lenguajes procedurales en PostgreSQL<br />
+          <strong>Author</strong>: Anthony R. Sotolongo León, Yudisney Vazquez Ortiz<br />
+          <strong>Language</strong>: Spanish<br />
+          <strong>Current version at publication</strong>: 9.6<br />
+          <strong>Format</strong>: eBook<br />
+          <strong>Published</strong>: June 2019
         </td>
-    </tr>
+      </tr>
 
-    <tr>
+      <tr>
         <td>
-          <a href="https://www.amazon.com/dp/1791794122"><img
-                      src="/media/img/docs/books/postgresql-for-dba-vol-1.jpg"
-                      alt="PostgreSQL for DBA volume 1: Structure and Administration" /></a>
+          <a href="https://www.amazon.com/dp/1791794122">
+            <img src="/media/img/docs/books/postgresql-for-dba-vol-1.jpg"
+                 alt="PostgreSQL for DBA volume 1: Structure and Administration" /></a>
         </td>
         <td>
           <strong>Title</strong>: PostgreSQL for DBA volume 1: Structure and Administration<br />
@@ -177,12 +185,13 @@
           <strong>Format</strong>: Paperback, eBook<br />
           <strong>Published</strong>: January 2019
         </td>
-    </tr>
-    <tr>
+      </tr>
+
+      <tr>
         <td>
-          <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-11-server-side-programming-quick-start-guide"><img
-                      src="/media/img/docs/books/packt_postgresql_11_server_side_programming.png"
-                      alt="PostgreSQL 11 Server Side Programming Quick Start Guide" /></a>
+          <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-11-server-side-programming-quick-start-guide">
+            <img src="/media/img/docs/books/packt_postgresql_11_server_side_programming.png"
+                 alt="PostgreSQL 11 Server Side Programming Quick Start Guide" /></a>
         </td>
         <td>
           <strong>Title</strong>: PostgreSQL 11 Server Side Programming Quick Start Guide<br />
@@ -192,12 +201,13 @@
           <strong>Format</strong>: Paperback, eBook<br />
           <strong>Published</strong>: November 2018
         </td>
-    </tr>
-          <tr>
+      </tr>
+
+      <tr>
         <td>
-          <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-10-high-performance"><img
-                      src="/media/img/docs/books/packt_postgresql_10_high_performance.png"
-                      alt="PostgreSQL 10 High Performance" /></a>
+          <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-10-high-performance">
+            <img src="/media/img/docs/books/packt_postgresql_10_high_performance.png"
+                 alt="PostgreSQL 10 High Performance" /></a>
         </td>
         <td>
           <strong>Title</strong>: PostgreSQL 10 High Performance<br />
@@ -208,11 +218,12 @@
           <strong>Published</strong>: April 2018
         </td>
       </tr>
+
       <tr>
         <td>
-          <a href="https://edu.postgrespro.ru/introbook_v4_en.pdf"><img
-                      src="/media/img/docs/books/PostgreSQL_for_beginners.png"
-                      alt="PostgreSQL for beginners" /></a>
+          <a href="https://edu.postgrespro.ru/introbook_v4_en.pdf">
+            <img src="/media/img/docs/books/PostgreSQL_for_beginners.png"
+                 alt="PostgreSQL for beginners" /></a>
         </td>
         <td>
           <strong>Title</strong>: PostgreSQL for beginners<br />
@@ -223,11 +234,12 @@
           <strong>Published</strong>: March 2018
         </td>
       </tr>
+
       <tr>
         <td>
-          <a href="https://www.packtpub.com/application-development/postgis-cookbook-second-edition"><img
-                      src="/media/img/docs/books/packt_postgis_cookbook.png"
-                      alt="PostGIS Cookbook, 2nd Edition" /></a>
+          <a href="https://www.packtpub.com/application-development/postgis-cookbook-second-edition">
+            <img src="/media/img/docs/books/packt_postgis_cookbook.png"
+                 alt="PostGIS Cookbook, 2nd Edition" /></a>
         </td>
         <td>
           <strong>Title</strong>: PostGIS Cookbook, 2nd Edition<br />
@@ -238,11 +250,12 @@
           <strong>Published</strong>: March 2018
         </td>
       </tr>
+
       <tr>
         <td>
-          <a href="https://bigmachine.io/products/a-curious-moon"><img
-                      src="/media/img/docs/books/a_curious_moon.jpg"
-                      alt="A Curious Moon" /></a>
+          <a href="https://bigmachine.io/products/a-curious-moon">
+            <img src="/media/img/docs/books/a_curious_moon.jpg"
+                 alt="A Curious Moon" /></a>
         </td>
         <td>
           <strong>Title</strong>: A Curious Moon<br />
@@ -253,11 +266,12 @@
           <strong>Published</strong>: December 2017
         </td>
       </tr>
+
       <tr>
         <td>
           <a href="https://masteringpostgresql.com/">
-          <img src="/media/img/docs/books/dim_mastering_postgresql.png"
-               alt="Mastering PostgreSQL In Application Development" /></a>
+            <img src="/media/img/docs/books/dim_mastering_postgresql.png"
+                 alt="Mastering PostgreSQL In Application Development" /></a>
         </td>
         <td>
           <strong>Title</strong>: Mastering PostgreSQL In Application Development<br />
@@ -267,67 +281,70 @@
           <strong>Format</strong>: Paperback, eBook<br />
           <strong>Published</strong>: November 2017
         </td>
-    </tr>
-    <tr>
-      <td>
-        <a href="https://shop.oreilly.com/product/0636920052715.do">
-        <img src="/media/img/docs/books/postgres_up_and_running_3.gif"
-             alt="PostgreSQL: Up and Running" /></a>
-      </td>
-      <td>
-        <strong>Title</strong>: PostgreSQL: Up and Running, 3rd Edition<br />
-        <strong>Author</strong>: Regina Obe, Leo Hsu<br />
-        <strong>Language</strong>: English<br />
-        <strong>Current version at publication</strong>: 10<br />
-        <strong>Format</strong>: Paperback, eBook<br />
-        <strong>Published</strong>: October 2017
-      </td>
-    </tr>
+      </tr>
 
-    <tr>
+      <tr>
         <td>
-            <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-high-performance-cookbook"><img
-                        src="/media/img/docs/books/packt_postgresql_high_performance_cookbook.png"
-                        alt="PostgreSQL High Performance Cookbook" /></a>
+          <a href="https://shop.oreilly.com/product/0636920052715.do">
+            <img src="/media/img/docs/books/postgres_up_and_running_3.gif"
+                 alt="PostgreSQL: Up and Running" /></a>
         </td>
         <td>
-                 <strong>Title</strong>: PostgreSQL High Performance Cookbook<br />
-                 <strong>Author</strong>: Chitij Chauhan, Dinesh Kumar<br />
-                 <strong>Language</strong>: English<br />
-                 <strong>Current version at publication</strong>: 9.6<br />
-                 <strong>Format</strong>: Paperback, eBook<br />
-                 <strong>Published</strong>: March 2017
+          <strong>Title</strong>: PostgreSQL: Up and Running, 3rd Edition<br />
+          <strong>Author</strong>: Regina Obe, Leo Hsu<br />
+          <strong>Language</strong>: English<br />
+          <strong>Current version at publication</strong>: 10<br />
+          <strong>Format</strong>: Paperback, eBook<br />
+          <strong>Published</strong>: October 2017
         </td>
-    </tr>
+      </tr>
 
-    <tr>
+      <tr>
         <td>
-            <a href="https://postgresql.leopard.in.ua/"><img src="/media/img/docs/books/working-with-postgresql.png" alt="Working with PostgreSQL: configuration and scaling" /></a>
+          <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-high-performance-cookbook">
+            <img src="/media/img/docs/books/packt_postgresql_high_performance_cookbook.png"
+                 alt="PostgreSQL High Performance Cookbook" /></a>
         </td>
         <td>
-                 <strong>Title</strong>: Working with PostgreSQL: configuration and scaling<br />
-                 <strong>Author</strong>: Alexey Vasyliev<br />
-                 <strong>Language</strong>: Russian<br />
-                 <strong>Current version at publication</strong>: 9.6<br />
-                 <strong>Format</strong>: eBook<br />
-                 <strong>Published</strong>: March 2017
+          <strong>Title</strong>: PostgreSQL High Performance Cookbook<br />
+          <strong>Author</strong>: Chitij Chauhan, Dinesh Kumar<br />
+          <strong>Language</strong>: English<br />
+          <strong>Current version at publication</strong>: 9.6<br />
+          <strong>Format</strong>: Paperback, eBook<br />
+          <strong>Published</strong>: March 2017
         </td>
-    </tr>
+      </tr>
 
-    <tr>
+      <tr>
         <td>
-            <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-high-availability-cookbook-second-edition"><img
-                        src="/media/img/docs/books/packt_ha_cookbook_2ed.png"
-                        alt="PostgreSQL High Availability Cookbook Second Edition" /></a>
+          <a href="https://postgresql.leopard.in.ua/">
+            <img src="/media/img/docs/books/working-with-postgresql.png"
+                 alt="Working with PostgreSQL: configuration and scaling" /></a>
         </td>
         <td>
-                 <strong>Title</strong>: PostgreSQL High Availability Cookbook Second Edition<br />
-                 <strong>Author</strong>: Shaun M. Thomas<br />
-                 <strong>Language</strong>: English<br />
-                 <strong>Current version at publication</strong>: 9.6<br />
-                 <strong>Format</strong>: Paperback, eBook<br />
-                 <strong>Published</strong>: February 2017
+          <strong>Title</strong>: Working with PostgreSQL: configuration and scaling<br />
+          <strong>Author</strong>: Alexey Vasyliev<br />
+          <strong>Language</strong>: Russian<br />
+          <strong>Current version at publication</strong>: 9.6<br />
+          <strong>Format</strong>: eBook<br />
+          <strong>Published</strong>: March 2017
         </td>
+      </tr>
+
+    <tr>
+      <td>
+        <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-high-availability-cookbook-second-edition">
+          <img src="/media/img/docs/books/packt_ha_cookbook_2ed.png"
+               alt="PostgreSQL High Availability Cookbook Second Edition" /></a>
+      </td>
+      <td>
+        <strong>Title</strong>: PostgreSQL High Availability Cookbook Second Edition<br />
+        <strong>Author</strong>: Shaun M. Thomas<br />
+        <strong>Language</strong>: English<br />
+        <strong>Current version at publication</strong>: 9.6<br />
+        <strong>Format</strong>: Paperback, eBook<br />
+        <strong>Published</strong>: February 2017
+      </td>
     </tr>
 
   </tbody>
-- 
2.32.1 (Apple Git-133)

